## Bsoft program

# bsegment

### Usage: bsegment [options] input.img/input.star [output.img]

Analyzes images for segmentation.

### Actions:

-invert | Invert density in the image before other operations.
-rescale -0.1,5.2 | Rescale data to average and standard deviation after changes.
-blobs 0.45,14,201,1.4 | Show blobs above threshold (0.45) and set outside minimum (14)
| and maximum (201) sizes to value (1.4).
-mass 342k | Find threshold associated with this molecular weight (Da)
| value can be given in Da, kDa (with k), MDa (with m) or Gda (with g).
| Output binary mask (data type byte, values 0 and 1).
-threshold 1.54 | Report mass calculated from the volume included at this threshold.
| Output binary mask (data type byte, values 0 and 1).
-innervolume 2.3,15 | Calculate internal volume below this threshold, output mask frequency.
-multiple 1.2 | Generate multiple regions above this threshold.
-kmeans 12,0.1 | Segment an image based on K-means and a density:distance ratio.
-extract 15,50,33 | Extract a region around this voxel (use with -flood and -Region).

### Parameters:

-verbose 7 | Verbose output.
-datatype u | Force writing of a new data type.
-origin 0.8,-10,15.7 | Set the origin (default from input image).
-sign -1 | Sign for thresholding (default 0=set by sign of threshold-average;
| 1=positive density; -1=negative density).
-rho 0.8 | Protein density (default 0.81 Da/A3, use with -mass).

### Input:

-Mask mask.tif | Mask for extraction (must be integer and same size as input image).

### Output:

-Region region.tif | File name for the excised region.

Bsoft version 2.0.3-20180917 (64 bit)